import { RevertableEvent } from "@skeldjs/events";
import { RepairSystemMessage } from "@skeldjs/protocol";
import { RoomEvent } from "../RoomEvent";
import { ProtocolEvent } from "../ProtocolEvent";
import { HqHudEvent } from "./HqHudEvent";
import { Hostable } from "../../Hostable";
import { HqHudSystem } from "../../systems";
import { PlayerData } from "../../PlayerData";
/**
 * Emitted when the communication consoles on Mira HQ are reset, i.e. the 10s
 * timer reaching 0.
 */
export declare class HqHudConsolesResetEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, HqHudEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly hqhudsystem: HqHudSystem<RoomType>;
    readonly message: RepairSystemMessage | undefined;
    /**
     * The player that reset the consoles. Only available if the client is the host.
     */
    readonly player: PlayerData<RoomType> | undefined;
    static eventName: "hqhud.consoles.reset";
    eventName: "hqhud.consoles.reset";
    constructor(room: RoomType, hqhudsystem: HqHudSystem<RoomType>, message: RepairSystemMessage | undefined, 
    /**
     * The player that reset the consoles. Only available if the client is the host.
     */
    player: PlayerData<RoomType> | undefined);
}
