import { SpawnType } from "@skeldjs/constant";
import { CloseDoorsOfTypeMessage } from "@skeldjs/protocol";
import { HazelReader, Vector2 } from "@skeldjs/util";
import { ShipStatusData, InnerShipStatus } from "./InnerShipStatus";
import { Hostable } from "../Hostable";
import { Networkable, NetworkableConstructor } from "../Networkable";
import { PlayerData } from "../PlayerData";
/**
 * Represents a room object for the Polus map.
 *
 * See {@link ShipStatusEvents} for events to listen to.
 */
export declare class PolusShipStatus<RoomType extends Hostable = Hostable> extends InnerShipStatus<RoomType> {
    static roomDoors: {
        7: number[];
        8: number[];
        12: number[];
        14: number[];
        23: number[];
        21: number[];
        1: number[];
        18: number[];
    };
    initialSpawnCenter: Vector2;
    meetingSpawnCenter: Vector2;
    meetingSpawnCenter2: Vector2;
    constructor(room: RoomType, spawnType: SpawnType, netid: number, ownerid: number, flags: number, data?: HazelReader | ShipStatusData);
    getComponent<T extends Networkable>(component: NetworkableConstructor<T>): T | undefined;
    protected _handleCloseDoorsOfType(rpc: CloseDoorsOfTypeMessage): Promise<void>;
    Setup(): void;
    getSpawnPosition(player: PlayerData | number, initialSpawn: boolean): Vector2;
}
